/*
 *	file:		code07d0.c
 *	project:	SysSndWavHack
 *	content:	config
 *	updated:	01.07.2001
 *
 *	copyright: Collin R. Mulliner <palm@mulliner.org>
 *	web: www.mulliner.org/palm/
 * 
 */

/*
 *  This file is part of SysSndWavHack
 *
 *  SysSndWavHack is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  SysSndWavHack is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with SysSndWavHack; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#include "sswh.h"
#include "callback.h"

static Boolean cfg_Handler(EventPtr event)
{
	Boolean handled = false;
	FormPtr form;

	
	CALLBACK_PROLOGUE

	form = FrmGetActiveForm();
			
	switch (event->eType) {

	case    frmOpenEvent:
		FrmHelp(strID_howto);
		FrmGotoForm(9000);	// back to HackMaster
		break;
/*
	case	ctlSelectEvent:
		switch (event->data.ctlSelect.controlID) {
		case	cancel_cfg_button:
			FrmGotoForm(9000);	// back to HackMaster
			handled = true;
			break;
			
		case	ok_cfg_button:
			FrmGotoForm(9000);	// back to HackMaster
			handled = true;
			break;
			
		case	howto_cfg_button:
			FrmHelp(strID_howto);
			handled = true;
			break;
		}
		break;
		
	case	menuEvent:
		switch (event->data.menu.itemID) {
		}
		break;
*/
        case	nilEvent:
		handled = true;
		break;
	}

	CALLBACK_EPILOGUE

	return(handled);
}
